/**
 * XDocumentSubject.java
 *
 * File generated from the medication::XDocumentSubject uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XDocumentSubject.
 *
 * 
 */

@XmlType(name = "XDocumentSubject")
@XmlEnum
@XmlRootElement(name = "XDocumentSubject")
public enum XDocumentSubject {
	@XmlEnumValue("PAT")
	PAT("PAT"),
	@XmlEnumValue("PRS")
	PRS("PRS");
	
	private final String value;

    XDocumentSubject(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XDocumentSubject fromValue(String v) {
        for (XDocumentSubject c: XDocumentSubject.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}